REM utilis par BDABOX (golden)

select dbname,
       tablespace_name,
       taille,
       today,
       to_char(taux_occ*100,'999.9'),
       res_est,
       to_char(res_est/taille*100,'999.9') taux_est,
       choix_est,
       to_char(jour_sat,'999999'),
       case
           when taux_occ >= 0.9 then 'SATURATION'
           when res_est is null then '?'
           when res_est/taille >= 1 then 'EXPLOSION'
           when res_est/taille >= 0.9 then 'CRITICAL'
           when res_est/taille >= 0.8 then 'WARNING'
           else 'OK'
       end
from
    (select maintenant.dbname,
            maintenant.tablespace_name,
            maintenant.used today,
            maintenant.taille,
            maintenant.used / maintenant.taille taux_occ,
            case
                when ((mois1.used - mois3.used) * 3 / 2 + mois3.used) / maintenant.used between 0.9 and 1.1 then (maintenant.used - mois3.used) * 2 + mois3.used
                when ((mois1.used - mois2.used) * 2 + mois2.used) / maintenant.used between 0.9 and 1.1 then (maintenant.used - mois2.used) * 5 / 2 + mois2.used
                when ((semaine2.used - mois1.used) * 2 + mois1.used) / maintenant.used between 0.9 and 1.1 then (maintenant.used - mois1.used) * 4 + mois1.used
                else null
            end res_est,
            case
                when (((mois1.used - mois3.used) * 3 / 2 + mois3.used) / maintenant.used between 0.9 and 1.1) and (maintenant.used != mois3.used) then ((maintenant.taille-mois3.used)/(maintenant.used-mois3.used)*90)-90
                when (((mois1.used - mois2.used) * 2 + mois2.used) / maintenant.used between 0.9 and 1.1) and (maintenant.used != mois2.used) then ((maintenant.taille-mois2.used)/(maintenant.used-mois2.used)*60)-60
                when (((semaine2.used - mois1.used) * 2 + mois1.used) / maintenant.used between 0.9 and 1.1) and (maintenant.used != mois1.used) then ((maintenant.taille-mois1.used)/(maintenant.used-mois1.used)*30)-30
                else null
            end jour_sat,
            case
                when ((mois1.used - mois3.used) * 3 / 2 + mois3.used) / maintenant.used between 0.9 and 1.1 then '3 mois'
                when ((mois1.used - mois2.used) * 2 + mois2.used) / maintenant.used between 0.9 and 1.1 then '2 mois'
                when ((semaine2.used - mois1.used) * 2 + mois1.used) / maintenant.used between 0.9 and 1.1 then '1 mois'
                else 'non prdictible'
            end choix_est
     from
            (select s.dbname, s.tablespace_name, s.size_t - s.free_t used, s.size_t taille
             from dbadm.db_size s, dbadm.base_infos i
             where s.dbname = i.nom_serveur||'_'||i.nom_instance and s.timestamp = trunc(sysdate - 90) and i.env_sfr = 'PROD' and i.type_sgbd = 'oracle'
            ) mois3,
            (select s.dbname, s.tablespace_name, s.size_t - s.free_t used, s.size_t taille
             from dbadm.db_size s, dbadm.base_infos i
             where s.dbname = i.nom_serveur||'_'||i.nom_instance and s.timestamp = trunc(sysdate - 60) and i.env_sfr = 'PROD' and i.type_sgbd = 'oracle'
            ) mois2,
            (select s.dbname, s.tablespace_name, s.size_t - s.free_t used, s.size_t taille
             from dbadm.db_size s, dbadm.base_infos i
             where s.dbname = i.nom_serveur||'_'||i.nom_instance and s.timestamp = trunc(sysdate - 30) and i.env_sfr = 'PROD' and i.type_sgbd = 'oracle'
            ) mois1,
            (select s.dbname, s.tablespace_name, s.size_t - s.free_t used, s.size_t taille
             from dbadm.db_size s, dbadm.base_infos i
             where s.dbname = i.nom_serveur||'_'||i.nom_instance and s.timestamp = trunc(sysdate - 15) and i.env_sfr = 'PROD' and i.type_sgbd = 'oracle'
            ) semaine2,
            (select s.dbname, s.tablespace_name, s.size_t - s.free_t used, s.size_t taille
             from dbadm.db_size s, dbadm.base_infos i
             where s.dbname = i.nom_serveur||'_'||i.nom_instance and s.timestamp = trunc(sysdate) and i.env_sfr = 'PROD' and i.type_sgbd = 'oracle' and s.nb_autoextend = 0
            ) maintenant
     where
            mois3.tablespace_name = maintenant.tablespace_name
     and    mois2.tablespace_name = maintenant.tablespace_name
     and    mois1.tablespace_name = maintenant.tablespace_name
     and    semaine2.tablespace_name = maintenant.tablespace_name
     and    mois3.dbname = maintenant.dbname
     and    mois2.dbname = maintenant.dbname
     and    mois1.dbname = maintenant.dbname
     and    semaine2.dbname = maintenant.dbname
     and    maintenant.tablespace_name not like 'PERFDATA%'
     and 	maintenant.tablespace_name != 'SYSAUX'
     and 	maintenant.tablespace_name not like 'UNDO%'
     and 	maintenant.tablespace_name not like 'RBS%'
     and 	maintenant.tablespace_name not like 'TEMP%'
     and    maintenant.tablespace_name not like 'ALF%'
     and 	maintenant.used > 0
     and 	maintenant.used / maintenant.taille * 100 > 50
     and (
             ((maintenant.used - mois3.used) * 2 + mois3.used) / maintenant.taille * 100 > 80
         or  ((maintenant.used - mois2.used) * 5 / 2 + mois2.used) / maintenant.taille * 100 > 80
         or  ((maintenant.used - mois1.used) * 4 + mois1.used) / maintenant.taille * 100 > 80
         or  maintenant.used / maintenant.taille * 100 >= 90
     )
);
