/* list all the used extents and free space in a tablespace, ordered by file id and block id. */

	define m_tablespace = 'TEST_8K'
	 
	select
	    file_id,
	    block_id,
	    block_id + blocks - 1   end_block,
	    owner,
	    segment_name,
	    partition_name,
	    segment_type
	from
	    dba_extents
	where
	    tablespace_name = '&m_tablespace'
	union all
	select
	    file_id,
	    block_id,
	    block_id + blocks - 1   end_block,
	    'free'          owner,
	    'free'          segment_name,
	    null            partition_name,
	    null            segment_type
	from
	    dba_free_space
	where
	    tablespace_name = '&m_tablespace'
	order by
	    1,2
	/