REM script cr par BJA


drop table SSI_ETAT;

create table SSI_ETAT (
        timestamp                       date,
        seg_owner                       varchar2(30),
        seg_name                        varchar2(81),
        seg_type                        varchar2(18),
        tablespace_name                 varchar2(30),
        segment_space_management        varchar2(6),
        partition_name                  varchar2(30),
        total_blocks                    number,
        unused_blocks                   number,
        unformatted_blocks              number,
        fs1_blocks                      number,
        fs2_blocks                      number,
        fs3_blocks                      number,
        fs4_blocks                      number,
        full_blocks                     number,
        free_blocks                     number
) tablespace SSITOOLS;

insert into ssi_etat (seg_owner, seg_name, seg_type, tablespace_name, segment_space_management, partition_name)
    select seg.owner,
           seg.segment_name,
           seg.segment_type,
           seg.tablespace_name,
           tbs.segment_space_management,
           seg.partition_name
    from   dba_segments seg,
           dba_tablespaces tbs
    where  seg.owner = 'CAPRI'
    and    seg.segment_type like 'TABLE%'
    and    seg.tablespace_name = tbs.tablespace_name;

commit;
