REM list table with chained rows

col c1 heading "owner" format a9;
col c2 heading "Table" format a12;
col c3 heading "PCTFREE" format 99;
col c4 heading "PCTUSED" format 99;
col c5 heading "avg row" format 99,999;
col c6 heading "Rows" format 999,999,999;
col c7 heading "Chains" format 999,999,999;
col c8 heading "Pct" format .98;

set heading off;
select 'Tables with migrated/chained rows and no BLOB colomns.' from dual;
set heading on;

select
  owner        c1,
  table_name   c2,
  pct_free     c3,
  pct_used     c4,
  avg_row_len  c5,
  num_rows     c6,
  chain_cnt    c7,
  chain_cnt/num_rows c8
from dba_tables
where
owner not in ('SYS','SYSTEM')
and 
table_name not in 
 (select table_name from dba_tab_columns
   where
 data_type in ('RAN', 'LONG RAN', 'BLOB', 'CLOB')
 )
 and
 chain_cnt > 0
 order by chain_cnt desc
;