/* la requte suivante donne le taux remplissage actuel des tablespaces: faire MAX_SIZE_MB * 1.6 pour la nouvelle taille des tablespaces */
 
select /*+ALL_ROWS */
    alloc.tablespace_name,
    (alloc.total_allocspace_mb - free.free_space_mb) used_mb,
    alloc.total_allocspace_mb allocated_mb,
    alloc.total_maxspace_mb max_size_mb,
    -- free.free_space_mb+(alloc.total_maxspace_mb-alloc.total_allocspace_mb) free_space_mb,
    -- free.free_space_mb free_space_ext_mb,
    -- ((alloc.total_allocspace_mb - free.free_space_mb)/alloc.total_maxspace_mb)*100 pct_used,
    -- ((free.free_space_mb+(alloc.total_maxspace_mb-alloc.total_allocspace_mb))/alloc.total_maxspace_mb)*100 pct_free
    ROUND(100*(alloc.total_allocspace_mb - free.free_space_mb)/alloc.total_maxspace_mb) pct_to_saturation
  FROM 
    (SELECT
        tablespace_name,
        ROUND(SUM(CASE WHEN maxbytes = 0 THEN bytes ELSE maxbytes END)/1048576) total_maxspace_mb,
        ROUND(SUM(bytes)/1048576) total_allocspace_mb
      FROM dba_data_files
      WHERE file_id NOT IN (SELECT FILE# FROM v$recover_file)
      GROUP BY tablespace_name) alloc,
    (SELECT
        tablespace_name,
        ROUND(SUM(bytes)/1048576) free_space_mb
      FROM dba_free_space
      WHERE file_id NOT IN (SELECT FILE# FROM v$recover_file)
      GROUP BY tablespace_name) free
  WHERE
    alloc.tablespace_name = free.tablespace_name (+)
    and alloc.tablespace_name like '%NRTRDE%'
  --ORDER BY pct_to_saturation DESC NULLS FIRST
  ORDER BY alloc.tablespace_name;
